import { useRecoilValue } from 'recoil';
import { SchemaEditAtom } from '../../recoil/atoms/schema';
import { FCC } from '../../types'
import { InputBinder } from '../../types/inputBinder'

interface IProps {
  bind: InputBinder
}

export const FieldTypeInput: FCC<IProps> = ({ bind }) => {
  const Schema = useRecoilValue(SchemaEditAtom);

  return (
    <>
      <input type="text" {...bind} list="type-editor-type-list" />
      <optgroup id="type-editor-type-list">
        {Object.keys(Schema.types).map(k => (
          <option className="capitalize" value={k}>{k}</option>
        ))}
      </optgroup>
    </>
  )
}